﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Customercollection.Model;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows;
using System.ComponentModel;
namespace Customercollection.ViewModel
{
    public class ViewModel
    {
        private ObservableCollection<object> selectedDataGridColumns;

        public ObservableCollection<object> SelectedDataGridColumns
        {
            get { return selectedDataGridColumns; }
            set
            {
                if (value.Count() != 0)
                {
                    selectedDataGridColumns = value;
                    ShowDataGridColumn(); // my method which sets the visibility of columns
                }
            }
        }


        private ObservableCollection<string> dataGridColumn;

        public ObservableCollection<string> DataGridColumn
        {
            get { return dataGridColumn; }
            set
            {
                // Set(ref dataGridColumn, value);
                dataGridColumn = value;
            }
        }

        public ViewModel()
        {
            DataGridColumn = new ObservableCollection<string>()
            {
               "a",
               "b",
               "c"
            };

            SelectedDataGridColumns = new ObservableCollection<object>()
            {
                "a",
                "c"
            };

            SelectedDataGridColumns.CollectionChanged += SelectedDataGridColumns_CollectionChanged;
        }

        private void SelectedDataGridColumns_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            ShowDataGridColumn();
        }

        public void ShowDataGridColumn()
        {
            // When the SelectedDataGridColumns will be changing I want call the this method
        }
    }
}

